org.apache.commons.math.distribution

## Interface CauchyDistribution

- All Superinterfaces:
    ContinuousDistribution, Distribution
  All Known Implementing Classes:
    CauchyDistributionImpl

      public interface CauchyDistribution
      extends ContinuousDistribution

  Cauchy Distribution.

  References:

  - Cauchy Distribution
  Since:
    1.1
  Version:
    $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getMedian()` Access the median.
    `double` | `getScale()` Access the scale parameter.
    `void` | `setMedian(double median)` Deprecated. as of v2.1
    `void` | `setScale(double s)` Deprecated. as of v2.1

    - ### Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution

      `inverseCumulativeProbability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.Distribution

      `cumulativeProbability, cumulativeProbability`

- - ### Method Detail

    - #### getMedian

          double getMedian()

      Access the median.
      Returns:
        median for this distribution

    - #### getScale

          double getScale()

      Access the scale parameter.
      Returns:
        scale parameter for this distribution

    - #### setMedian

          @Deprecated
          void setMedian(double median)

      Deprecated. as of v2.1
      Modify the median.
      Parameters:
        `median` - for this distribution

    - #### setScale

          @Deprecated
          void setScale(double s)

      Deprecated. as of v2.1
      Modify the scale parameter.
      Parameters:
        `s` - scale parameter for this distribution

Copyright (c) 2003-2013 Apache Software Foundation